Re: [Pkg-javascript-devel] Resolving pure javascript libraries from NodeJS

2011-11-06 Thread Jérémy Lal
On 06/11/2011 22:17, David Paleino wrote: On Sun, 6 Nov 2011 22:03:33 +0100, David Paleino wrote: It seems like the package is asking for wax, which is a pure-javascript library, to be used from a web browser, even though it is available from npmjs.org. I packaged (correctly, I hope)

[Pkg-javascript-devel] Bug#648506: libv8: diff for NMU version 3.4.14.21-4.1

2011-11-15 Thread Jérémy Lal
On 15/11/2011 22:39, Julien Cristau wrote: On Tue, Nov 15, 2011 at 22:28:06 +0100, Jérémy Lal wrote: On 15/11/2011 21:32, Jakub Wilk wrote: tags 648506 + patch tags 648506 + pending thanks Dear maintainer, I've prepared an NMU for libv8 (versioned as 3.4.14.21-4.1) and uploaded

[Pkg-javascript-devel] libv8, nodejs status in collab-maint repository

2011-11-23 Thread Jérémy Lal
Hi, libv8 3.5.10.24-1 is ready to be reviewed and uploaded to unstable. The big change is the move to gyp-based building (but makefiles are generated by upstream instead of regenerating them). libv8 3.6.6.8-1 could also be uploaded to experimental, it's easier to review because the changes since

Re: [Pkg-javascript-devel] ***SPAM*** Re: libv8, nodejs status in collab-maint repository

2011-11-25 Thread Jérémy Lal
On 25/11/2011 17:56, Jonas Smedegaard wrote: On 11-11-25 at 10:06am, Jonas Smedegaard wrote: On 11-11-24 at 12:06am, Jérémy Lal wrote: libv8 3.5.10.24-1 is ready to be reviewed and uploaded to unstable. The big change is the move to gyp-based building (but makefiles are generated

[Pkg-javascript-devel] Bug#639636: nodejs: FTBFS/armel - testsuite fails

2011-12-05 Thread Jérémy Lal
Thanks to the abel guest access i got, libv8 builds and pass tests on armel and armhf. I'm still having *one* test failing, if anyone has an idea about why : var f = new Buffer('über', 'ucs2'); assert.deepEqual(f, new Buffer([252, 0, 98, 0, 101, 0, 114, 0])); Giving this result :

[Pkg-javascript-devel] Bug#650552: Bug#650552: node-expat: FTBFS: EBADF, Bad file descriptor '/usr/lib/package.json'

2011-12-05 Thread Jérémy Lal
On 05/12/2011 17:53, David Paleino wrote: On Mon, 5 Dec 2011 15:37:04 +0700, Jonas Smedegaard wrote: On 11-12-05 at 09:24am, Jérémy Lal wrote: This problem is caused by the fact you're building with latest libv8-dev, but nodejs 0.4 wasn't. I'll upload a nodejs 0.4 built against libv8 3.5

[Pkg-javascript-devel] Bug#639636: nodejs: FTBFS/armel - testsuite fails

2011-12-05 Thread Jérémy Lal
On 05/12/2011 17:51, Jérémy Lal wrote: Thanks to the abel guest access i got, libv8 builds and pass tests on armel and armhf. I'm still having *one* test failing, if anyone has an idea about why : var f = new Buffer('über', 'ucs2'); assert.deepEqual(f, new Buffer([252, 0, 98, 0, 101

[Pkg-javascript-devel] Bug#639636: [node-dev] Re: Bug#639636: nodejs: FTBFS/armel - testsuite fails

2011-12-05 Thread Jérémy Lal
On 05/12/2011 21:54, Ben Noordhuis wrote: On Mon, Dec 5, 2011 at 20:02, Jérémy Lal kapo...@melix.org wrote: On 05/12/2011 17:51, Jérémy Lal wrote: Thanks to the abel guest access i got, libv8 builds and pass tests on armel and armhf. I'm still having *one* test failing, if anyone has an idea

[Pkg-javascript-devel] libv8-3.6.6.14-1 ready to be uploaded

2011-12-27 Thread Jérémy Lal
Ready and in the master branch of collab-maint/libv8. Merry and happy things for all ! Jérémy. ___ Pkg-javascript-devel mailing list Pkg-javascript-devel@lists.alioth.debian.org

[Pkg-javascript-devel] Bug#639636: [node-dev] Re: Bug#639636: nodejs: FTBFS/armel - testsuite fails

2011-12-31 Thread Jérémy Lal
On 31/12/2011 02:47, Steven Chamberlain wrote: Hello, I wonder if this commit (introduced in 0.5.10) is what fixed the failure of test-buffer.js in later versions: https://github.com/joyent/node/commit/6a72e525202972fe5d5a89cc94f48071380c1aa7 I have no armel build system but would

[Pkg-javascript-devel] Bug#653962: libv8 predictable hash collisions

2012-01-04 Thread Jérémy Lal
Update : the issue is being solved at : http://codereview.chromium.org/9083001/ Jérémy. ___ Pkg-javascript-devel mailing list Pkg-javascript-devel@lists.alioth.debian.org http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Re: [Pkg-javascript-devel] On nodejs use of embedded libraries

2012-01-12 Thread Jérémy Lal
On 12/01/2012 04:50, Trent W. Buck wrote: I'm not formally reporting this as a bug because 1) nodejs is not my area of expertise; and 2) it feels like this is an issue that can't be solved. Neverthelesss, I'm bringing it to your attention. Thank you. My comments follows apply to nodejs 0.4.12

[Pkg-javascript-devel] Bug#655725: node-carto: homepage 404

2012-01-13 Thread Jérémy Lal
Package: node-carto Severity: minor Hi, the Homepage is a broken link, please remove the .git suffix. Cheers, Jérémy. -- System Information: Debian Release: wheezy/sid APT prefers unstable APT policy: (500, 'unstable'), (500, 'testing'), (101, 'experimental') Architecture: amd64 (x86_64)

Re: [Pkg-javascript-devel] hello, plus node packaging questions.

2012-01-31 Thread Jérémy Lal
On 31/01/2012 13:40, Andrew Baxter wrote: On 31/01/12 12:25, Jonas Smedegaard wrote: On 12-01-31 at 11:46am, Andrew Baxter wrote: what are the reasons for wanting separate debian packages for each dependent library of a program like the buddycloud web client? I'm assuming the idea is to

Re: [Pkg-javascript-devel] hello, plus node packaging questions.

2012-01-31 Thread Jérémy Lal
On 31/01/2012 15:06, Andrew Baxter wrote: On 31/01/12 12:51, Jérémy Lal wrote: On 31/01/2012 13:40, Andrew Baxter wrote: OK. If I get the energy, I'll look into how hard it would be to make npm detect installed debian packages. Considering how npm works, I really don't understand what

[Pkg-javascript-devel] Bug#639636: nodejs: FTBFS/armel - testsuite fails

2012-02-03 Thread Jérémy Lal
Note: libv8 armel -Dv8_can_use_unaligned_accesses=false : nodejs test failure libv8 armhf -Dv8_can_use_unaligned_accesses=true : nodejs test pass. That flag turns on a small amount of code in libv8/src/arm, maybe it's that part that is broken. TODO : request guest access to armel porter

[Pkg-javascript-devel] npm2debian

2012-02-15 Thread Jérémy Lal
Hi, here's the work of with Sergey Belov : https://github.com/arikon/npm2debian Quoting him : On 14/02/2012 17:30, Белов Сергей wrote: I propose the work to be organized this way: — make proposal for feature/addition as an issue here: https://github.com/arikon/npm2debian/issues — all

Re: [Pkg-javascript-devel] npm2debian

2012-02-15 Thread Jérémy Lal
On 15/02/2012 17:05, Jonas Smedegaard wrote: On 12-02-15 at 02:37pm, Jérémy Lal wrote: Hi, here's the work of with Sergey Belov : https://github.com/arikon/npm2debian Quoting him : On 14/02/2012 17:30, Белов Сергей wrote: I propose the work to be organized this way: — make proposal

Re: [Pkg-javascript-devel] nodejs in testing

2012-02-16 Thread Jérémy Lal
On 16/02/2012 21:58, William Dauchy wrote: Hi Jonas, On Thu, Feb 16, 2012 at 9:39 PM, Jonas Smedegaard d...@jones.dk wrote: It needs someone to figure out what exactly is needed regarding the name clash with a ham radio tool. More info on the issue in the long thread at d-devel@ in

[Pkg-javascript-devel] Bug#660800: nodejs: Failed test-buffer on armel

2012-02-21 Thread Jérémy Lal
Package: nodejs Version: 0.6.11~dfsg1-2 Severity: normal nodejs test-buffer fails on armel and has been disabled. See log at https://buildd.debian.org/status/fetch.php?pkg=nodejsarch=armelver=0.6.10~dfsg2-1stamp=1329438629 Remarks : This test does not fail when launched directly outside the

[Pkg-javascript-devel] Bug#660802: nodejs: Failed test-cluster-kill-workers on armhf

2012-02-21 Thread Jérémy Lal
Package: nodejs Version: 0.6.11~dfsg1-2 Severity: normal nodejs test-cluster-kill-workers fails on armhf and has been disabled. See log at https://buildd.debian.org/status/fetch.php?pkg=nodejsarch=armhfver=0.6.11~dfsg1-1stamp=1329709196 Remarks: This test was not failing in version

[Pkg-javascript-devel] Bug#622628: Bug#622628: npm no longer works

2012-03-06 Thread Jérémy Lal
On 06/03/2012 17:14, Felipe Sateler wrote: I might (hopefully...) have time to help, and I will need this. Is there any roadmap on what is missing to get an updated npm package? There is : * package dependencies that are in node_modules * make sure the license is free (MIT +no-false-attribs)

[Pkg-javascript-devel] Bug#622628: Bug#622628: Bug#622628: npm no longer works

2012-03-06 Thread Jérémy Lal
On 06/03/2012 18:06, Jonas Smedegaard wrote: On 12-03-06 at 05:40pm, Jérémy Lal wrote: On 06/03/2012 17:14, Felipe Sateler wrote: I might (hopefully...) have time to help, and I will need this. Is there any roadmap on what is missing to get an updated npm package? There is : * package

Re: [Pkg-javascript-devel] MIT +no-false-attribs

2012-03-09 Thread Jérémy Lal
On 24/01/2012 15:24, MJ Ray wrote: Jérémy Lal je...@edagames.com following npm license is Expat + one restriction, is it still DFSG ? If it just this one addition: Distributions of all or part of the Software intended to be used by the recipients as they would use the unmodified Software

Re: [Pkg-javascript-devel] Request to Join Project Debian JavaScript Maintainers from Martin Skøtt (mskott-guest)

2012-03-13 Thread Jérémy Lal
at : http://wiki.debian.org/Javascript/Policy Especially for nodejs modules. Regards, Jérémy Lal ___ Pkg-javascript-devel mailing list Pkg-javascript-devel@lists.alioth.debian.org http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript

[Pkg-javascript-devel] Bug#663746: Bug#663746: nodejs: nodejs doesn't have NPM utility

2012-03-13 Thread Jérémy Lal
On 13/03/2012 19:59, Fred Chien wrote: Package: nodejs Version: 0.6.12-dfs Utility of npm package is broken after upgrade nodejs package to 0.6 version. By incorporating NPM into the Node.js distribution since version 0.6.3, we do not need to have to install independent npm package

[Pkg-javascript-devel] Javascript Policy

2012-03-15 Thread Jérémy Lal
Hi, here are my preferences about two small questions that could be fixed by http://wiki.debian.org/Javascript/Policy * nothing is said about the preferred source package name when library is usable both from a web-browser and from NodeJS I would naively say let's keep upstream name, what do

[Pkg-javascript-devel] Bug#622628: npm no longer works

2012-03-15 Thread Jérémy Lal
On 13/03/2012 23:37, Jérémy Lal wrote: I tried to address the most important issues, so as to have an acceptable npm package. Please see : http://anonscm.debian.org/gitweb/?p=collab-maint/npm.git;a=blob;f=debian/changelog Note that debian/copyright and debian/copyright_hints are now synched

[Pkg-javascript-devel] Bug#622628: npm no longer works

2012-03-15 Thread Jérémy Lal
I'll maintain the list of packages to review/upload here : git://git.debian.org/collab-maint/node-lru-cache.git git://git.debian.org/collab-maint/node-minimatch.git git://git.debian.org/collab-maint/node-semver.git git://git.debian.org/collab-maint/node-ini.git Cheers, Jérémy.

[Pkg-javascript-devel] Bug#622628: npm no longer works

2012-03-16 Thread Jérémy Lal
Current batch of packages waiting for review/upload : git://git.debian.org/collab-maint/node-lru-cache.git git://git.debian.org/collab-maint/node-minimatch.git git://git.debian.org/collab-maint/node-semver.git git://git.debian.org/collab-maint/node-ini.git

Re: [Pkg-javascript-devel] Bug#622628: npm no longer works

2012-03-17 Thread Jérémy Lal
On 17/03/2012 12:54, Jonas Smedegaard wrote: On 12-03-17 at 12:37pm, Jérémy Lal wrote: On 17/03/2012 10:56, Jonas Smedegaard wrote: On 12-03-16 at 11:59pm, Jérémy Lal wrote: Current batch of packages waiting for review/upload : git://git.debian.org/collab-maint/node-lru-cache.git That one

[Pkg-javascript-devel] Bug#665093: nodejs: test/simple/test-tls-server-verify.js broken with openssl 1.0.1

2012-03-22 Thread Jérémy Lal
Package: nodejs Version: 0.6.12~dfsg1-1 Severity: normal It works with openssl 1.0.0h-1. Suspect (from openssl 1.0.1-1 changelog) : * s_client and s_server were forcing SSLv3 only connection when SSLv2 was disabled instead of the SSLv2 with upgrade method. (Closes: #664454) Unclear wether

[Pkg-javascript-devel] Bug#665093: nodejs: test/simple/test-tls-server-verify.js broken with openssl 1.0.1

2012-03-22 Thread Jérémy Lal
On 22/03/2012 15:13, Jérémy Lal wrote: Package: nodejs Version: 0.6.12~dfsg1-1 Severity: normal It works with openssl 1.0.0h-1. Suspect (from openssl 1.0.1-1 changelog) : * s_client and s_server were forcing SSLv3 only connection when SSLv2 was disabled instead of the SSLv2 with upgrade

[Pkg-javascript-devel] Bug#660802: nodejs: Failed test-cluster-kill-workers on armhf

2012-03-22 Thread Jérémy Lal
Seems like that test fails because of a race condition under heavy load. Jérémy. ___ Pkg-javascript-devel mailing list Pkg-javascript-devel@lists.alioth.debian.org http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

[Pkg-javascript-devel] Bug#665237: nodejs: FTBFS: tests failed

2012-03-22 Thread Jérémy Lal
=== release test-cluster-kill-workers === this one is being investigated at http://bugs.debian.org/660802 === release test-tls-server-verify === and this one at http://bugs.debian.org/665093 thank you. Jérémy. ___

[Pkg-javascript-devel] Bug#665093: nodejs: test/simple/test-tls-server-verify.js broken with openssl 1.0.1

2012-03-22 Thread Jérémy Lal
forwarded 665093 ttps://github.com/joyent/node/pull/2991 -- On 22/03/2012 15:37, Jérémy Lal wrote: When i downgraded openssl to 1.0.0h-1, i kept libssl1.0.0-1.0.1-2 so nodejs is not breaking with libssl 1.0.1. It's either a misusage or a bug of the openssl cli tool as it is used by the test

[Pkg-javascript-devel] Bug#611698: Bug#611698: any progress

2012-03-28 Thread Jérémy Lal
Stalled. See also : http://bugs.debian.org/614907 Jérémy. ___ Pkg-javascript-devel mailing list Pkg-javascript-devel@lists.alioth.debian.org http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Re: [Pkg-javascript-devel] Upgrade issues

2012-03-28 Thread Jérémy Lal
On 28/03/2012 09:53, Paul van Tilburg wrote: Hi all, Before I want to file appropriate bug reports, I wanted to check in here first. I have been working on a Node Express app that uses the connect-form library. I am planning to package this soon when I have the time. But I still have an

[Pkg-javascript-devel] Bug#622628: npm dependencies waiting to be reviewed/uploaded

2012-03-28 Thread Jérémy Lal
For npm-1.1.4, the last one is : git://git.debian.org/collab-maint/node-which.git (i asked David Paleino to take care of that one). IMO the three other modules that are left are too bound to npm to be packaged separatedly. It would also be a good idea to upload npm 1.1.4 soon, as more recent

Re: [Pkg-javascript-devel] Upgrade issues

2012-03-29 Thread Jérémy Lal
On 29/03/2012 10:34, Paul van Tilburg wrote: Hey, On Wed, Mar 28, 2012 at 12:06:15PM +0200, Jérémy Lal wrote: On 28/03/2012 09:53, Paul van Tilburg wrote: In node 0.6 all dependencies (modules) are available either globally (that is when installed as a debian package) or locally (when

Re: [Pkg-javascript-devel] Review of libv8-i18n

2012-04-01 Thread Jérémy Lal
On 31/03/2012 03:18, Jonas Smedegaard wrote: Hi (mostly) Jérémy, You asked me on IRC to review libv8-i18n, and I now found time to do so: Copyright file lacks Upstream-Source URL(s) and Upstream-Contact address(es). Source field. Done. Copyright file lacks a Comment: referencing

Re: [Pkg-javascript-devel] Review of libv8-i18n

2012-04-01 Thread Jérémy Lal
On 01/04/2012 17:57, Jonas Smedegaard wrote: On 12-04-01 at 03:06pm, Jérémy Lal wrote: On 31/03/2012 03:18, Jonas Smedegaard wrote: I recommend using d-shlibs to handle installation of library files and resolve library-related dependencies. All right - i'm not sure it's properly setup now

Re: [Pkg-javascript-devel] Review of libv8-i18n

2012-04-01 Thread Jérémy Lal
On 01/04/2012 20:09, Jonas Smedegaard wrote: On 12-04-01 at 07:45pm, Jérémy Lal wrote: On 01/04/2012 17:57, Jonas Smedegaard wrote: On 12-04-01 at 03:06pm, Jérémy Lal wrote: On 31/03/2012 03:18, Jonas Smedegaard wrote: Did you consider using symbols file to track API/ABI changes instead

[Pkg-javascript-devel] Bug#666906: libv8: FTBFS on armel - smi array failures

2012-04-02 Thread Jérémy Lal
Package: libv8-3.8.9.16 Version: 3.8.9.16-1 Severity: important File: libv8 Tags: upstream Forwarded: http://code.google.com/p/v8/issues/detail?id=1930 Fails to build because smi-only-arrays tests are failing. Problem known upstream. Jérémy. -- System Information: Debian Release: wheezy/sid

[Pkg-javascript-devel] Bug#666997: nodejs: FTBS on mipsel - one failing test : test-readfloat

2012-04-03 Thread Jérémy Lal
Package: nodejs Version: 0.6.14~dfsg1-1 Severity: normal nodejs almost works on mipsel, there is only one failing test, see https://buildd.debian.org/status/fetch.php?pkg=nodejsarch=mipselver=0.6.14~dfsg1-1stamp=1333442457 Upstream doesn't support mipsel - but i'm trying to see if they are going

[Pkg-javascript-devel] Bug#667017: node-graceful-fs: Missing dependency on node-fast-list

2012-04-03 Thread Jérémy Lal
Package: node-graceful-fs Version: 1.1.5-1 Severity: important Reminder : graceful-fs depends on fast-list module, which is not even packaged. Jérémy. -- System Information: Debian Release: wheezy/sid APT prefers unstable APT policy: (500, 'unstable'), (500, 'testing'), (101,

[Pkg-javascript-devel] Bug#622628: npm ready to be reviewed

2012-04-03 Thread Jérémy Lal
Hi all, and Jonas in particular :) it would be very nice to review npm package sitting at : git://anonscm.debian.org/git/collab-maint/npm.git and eventually upload it. Best regards, Jérémy. ___ Pkg-javascript-devel mailing list

[Pkg-javascript-devel] Bug#622628: Bug#622628: npm ready to be reviewed

2012-04-06 Thread Jérémy Lal
On 05/04/2012 14:01, Jonas Smedegaard wrote: On 12-04-03 at 11:57pm, Jérémy Lal wrote: it would be very nice to review npm package sitting at : git://anonscm.debian.org/git/collab-maint/npm.git Patch 2001 refer to debian/copyright. I recommend to document explicitly, as the patch file

[Pkg-javascript-devel] Bug#668147: nodejs: https connection to Facebook broken due to bug in openssl dependency

2012-04-10 Thread Jérémy Lal
On 09/04/2012 11:05, Surendra Singhi wrote: Package: nodejs Version: 0.6.14~dfsg1-1 The bug in http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=666051 also effects nodejs, as it is not possible to use it to connect to Facebook, Paypal, etc. A possible solution is to use an older version of

[Pkg-javascript-devel] Bug#667257: fix ftbfs with GCC 4.7

2012-04-17 Thread Jérémy Lal
Thank you for the patch, i'll upload the fix ASAP-ackage enters testing. Jérémy. ___ Pkg-javascript-devel mailing list Pkg-javascript-devel@lists.alioth.debian.org http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

[Pkg-javascript-devel] npm reverse dependencies now online

2012-04-17 Thread Jérémy Lal
That will surely help us decide what to package : http://search.npmjs.org/ Jérémy. ___ Pkg-javascript-devel mailing list Pkg-javascript-devel@lists.alioth.debian.org http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

[Pkg-javascript-devel] libv8 latest 3.8.9.20

2012-04-27 Thread Jérémy Lal
Hi, i had to remove mipsel from supported architectures of libv8 3.8 branch, because it doesn't support some cpu variant that is in mipsel. Also thought it was best to benefit from latest upstream changes, hence the version bump. Jonas, could you upload it ? Available as usual in collab-maint

Re: [Pkg-javascript-devel] Node.js and it's future in debian

2012-05-01 Thread Jérémy Lal
of the packages I was waiting for information from the node.js camp (agreement, etc.). I think the issue here is getting the nodejs maintainers onboard. That would be Jérémy Lal Jonas Smedegaard. I don't recall seeing either of them weigh in on the issue *ever*a (I could be wrong, it is late

Re: [Pkg-javascript-devel] Request for policy interpretation: procedure and possible outcomes for naming conflicts

2012-05-03 Thread Jérémy Lal
On 03/05/2012 11:51, Bill Allombert wrote: On Wed, May 02, 2012 at 04:20:47PM -0500, Jonathan Nieder wrote: Bill Allombert wrote: On Wed, May 02, 2012 at 02:12:22PM -0500, Jonathan Nieder wrote: Policy also states that different packages must not install commands with different

Re: [Pkg-javascript-devel] tech-ctte: please help maintainers of packages with a node command to have a reasonable conversation

2012-05-03 Thread Jérémy Lal
On 03/05/2012 23:23, Jonathan Nieder wrote: Steve Langasek wrote: Clint Byrum has nudged me about this (wearing his Ubuntu Server hat rather than his shiny new Debian Developer hat) and I've agreed to approach node.js upstream about a possible upstream rename. I'll report back to the TC

[Pkg-javascript-devel] Bug#671550: nodejs: building on kfreebsd-* (WIP)

2012-05-05 Thread Jérémy Lal
On 05/05/2012 01:21, Steven Chamberlain wrote: Package: src:nodejs Version: 0.6.16~dfsg1-2 Severity: wishlist User: debian-...@lists.debian.org Usertags: kfreebsd X-Debbugs-Cc: debian-...@lists.debian.org Hi, Attached are *unfinished* patches for building nodejs on kfreebsd-*

Re: [Pkg-javascript-devel] (no subject)

2012-05-07 Thread Jérémy Lal
On 07/05/2012 07:04, Tobias Frost wrote: Hallo Jérémy, thanks for your reply. I read it that way that you agree that for the time being libv8 should be removed for mipsel? Please confirm. Confirmed. I did not know i had to explicitely request removal for an architecture. Jérémy.

Re: [Pkg-javascript-devel] Please schedule binNMU for rdepends of libv8

2012-05-11 Thread Jérémy Lal
On 11/05/2012 19:10, Julien Cristau wrote: On Sat, May 5, 2012 at 20:25:14 +0200, Tobias Frost wrote: Dear release team, to allow removal of old version of libv8 and allow transition of it to testing, please schedule a binnmu for its rdepends: drizzle osmium Done. Thank you. What

[Pkg-javascript-devel] Bug#673142: nodejs: FTBFS armhf unexpected output in stack_overflow.js test

2012-05-16 Thread Jérémy Lal
Package: nodejs Version: 0.6.18~dfsg1-1 Severity: important Being worked on, see https://github.com/joyent/node/commit/bf9d8e9#L1R3 -- System Information: Debian Release: wheezy/sid APT prefers unstable APT policy: (500, 'unstable'), (500, 'testing'), (101, 'experimental') Architecture:

[Pkg-javascript-devel] Bug#673306: Bug#673306: libv8-i18n: FTBFS on armel and armhf (symbols missing)

2012-05-17 Thread Jérémy Lal
On 17/05/2012 19:42, coldtobi wrote: Package: libv8-i18n Severity: serious Hallo, libv8-i18n FTFS on armel/armhf. This is RC as it previously built on armel. (Also, this blocks the transistion of libv8) coldtobi Buildlog:

[Pkg-javascript-devel] Bug#675856: Bug#675856: libv8-3.8.9.20: new upstream version (3.11.8)

2012-06-03 Thread Jérémy Lal
On 03/06/2012 19:53, shawn wrote: Package: libv8-3.8.9.20 Version: 3.8.9.20-1 Severity: wishlist Tags: patch Needed for Chromium 20, which is embedding v8 ATM against policy patch to fallow No need to fallow :) i'll update libv8 soon anyway. I've been busy on other matters, that's all.

[Pkg-javascript-devel] libv8 versions and abi

2012-06-08 Thread Jérémy Lal
Hi, it's now clearer [1] to me how upstream v8 release their library : 1 - They start a new branch, say 3.10 2 - the first minor versions can break API (3.10.2, 3.10.4, 3.10.6) 3 - at some point they only make patch-level versions, keeping API, and very probably ABI compatibility too.

Re: [Pkg-javascript-devel] libv8 versions and abi

2012-06-08 Thread Jérémy Lal
On 08/06/2012 12:33, Jonas Smedegaard wrote: On 12-06-08 at 11:52am, Jérémy Lal wrote: Hi, it's now clearer [1] to me how upstream v8 release their library : 1 - They start a new branch, say 3.10 2 - the first minor versions can break API (3.10.2, 3.10.4, 3.10.6) 3 - at some point they only

Re: [Pkg-javascript-devel] libv8 versions and abi

2012-06-14 Thread Jérémy Lal
On 08/06/2012 12:33, Jonas Smedegaard wrote: On 12-06-08 at 11:52am, Jérémy Lal wrote: Hi, it's now clearer [1] to me how upstream v8 release their library : 1 - They start a new branch, say 3.10 2 - the first minor versions can break API (3.10.2, 3.10.4, 3.10.6) 3 - at some point they only

[Pkg-javascript-devel] Bug#670836: libv8: please enable for kfreebsd-*

2012-06-15 Thread Jérémy Lal
On 15/06/2012 03:19, Steven Chamberlain wrote: tags 670836 = patch thanks On 15/06/12 01:41, Steven Chamberlain wrote: [...] failed due to a -Wunused-but-set-variable that I didn't notice before in some FreeBSD-specific code. Ah, now I see why; that compiler option just got re-enabled.

[Pkg-javascript-devel] Bug#671550: Bug#671550: nodejs: building on kfreebsd-*

2012-06-16 Thread Jérémy Lal
On 16/06/2012 15:03, Steven Chamberlain wrote: Hi, On 15/06/12 21:55, Jérémy Lal wrote: Did you rebuild libv8 after i applied your patches (i modified them) ? All tests passed ? I've pulled the latest libv8 git and rebuilt it; all tests passed. Here is a log of that:

Re: [Pkg-javascript-devel] Bug#677574: transition: libv8

2012-06-17 Thread Jérémy Lal
Hi, according to [1] we have After Sunday the 20th of May, any new transitions are likely not to be processed until after the release. So that transition is way too late, and the result is that libv8 3.10.8 should be uploaded to experimental instead. Closing this bug. Regards, Jérémy. [1]

[Pkg-javascript-devel] Bug#665093: Bug#665093: nodejs and openssl

2012-06-29 Thread Jérémy Lal
On 30/06/2012 00:57, Matt Taggart wrote: Hi debian openssl maintainers, The bug http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=665093 is asking for some help on an openssl node.js issue, can you take a look? (the bug was also forwarded to a git pull request which is now closed,

Re: [Pkg-javascript-devel] FTBFS with HEAD of master branch :-(

2012-07-26 Thread Jérémy Lal
On 25/07/2012 23:26, Jonas Smedegaard wrote: Hi - especially Jérémy, As I wrote you on IRC, I prepared a package release of nodejs fixing the namespace clash. As you noticed, I did so carefully keeping changes to an absolute minimum - e.g. editing debian/control directly instead of the

[Pkg-javascript-devel] nodejs binary rename transition plan

2012-08-01 Thread Jérémy Lal
Hi, Jonas worked on transitioning the nodejs package, following tech-ctte decision [1]. * nodejs 0.6.19~dfsg1-3 version has a list of Breaks relations that is not accurate : please help fixing it. * some packages do not depend at all on /usr/bin/node, please notify us (or better, edit

[Pkg-javascript-devel] Bug#684418: Bug#684418: Node-semver broken in sid

2012-08-17 Thread Jérémy Lal
On 17/08/2012 18:33, Thom Wiggers wrote: It is currently not possible to install node-semver in sid because the current version of nodejs breaks it. The node-semver package should be updated to the newest upstream. node-semver must *not* be updated (in sid) to newest upstream. For reference,

Re: [Pkg-javascript-devel] Commit fixing node-waf

2012-09-21 Thread Jérémy Lal
On 20/09/2012 16:49, David Paleino wrote: Hello everybody, I just made a commit to the nodejs package, fixing a bug I found in node-waf. This bug popped up while building node-mapnik (trying to fix its RC bug); in practice node-waf looks for /usr/bin/node instead of nodejs. Jonas, I

Re: [Pkg-javascript-devel] Commit fixing node-waf

2012-09-21 Thread Jérémy Lal
On 21/09/2012 10:59, David Paleino wrote: On Fri, 21 Sep 2012 09:52:49 +0200, Jérémy Lal wrote: I'm okay with the patch and how you put it in 2003_rename_node_to_nodejs.patch. Before anything else, could you update nodejs Breaks relations to match the current status after your latest node

[Pkg-javascript-devel] node to nodejs binary rename done

2012-09-23 Thread Jérémy Lal
Hi, Thanks to the work of many maintainers (and also Aaron M. Ucko for his useful bug reports), all packages affected by the binary rename of node to nodejs [0] have been corrected. Regards, Jérémy. [0] http://bugs.debian.org/614907#108 ___

Re: [Pkg-javascript-devel] nodejs v 0.8 ?

2012-09-27 Thread Jérémy Lal
On 27/09/2012 17:48, Dominique Dumont wrote: Hello I need a recent version of nodejs ( 0.8) for ares project. I can bite the bullet and (try to) package version 0.8.10. Before jumping on that, I'd like to check whether this has already beed done in javascript team? All the best

[Pkg-javascript-devel] Bug#687574: Multiple security issues

2012-09-28 Thread Jérémy Lal
On 13/09/2012 23:27, Moritz Muehlenhoff wrote: Package: libv8 Severity: grave Tags: security Hi, please check the status of these security issues in libv8. They were all fixed in Chrome, but it's not clearly from which Chrome release the libv8 package in Wheezy was cut:

Re: [Pkg-javascript-devel] Comments regarding libv8_3.10.8.16-1_amd64.changes

2012-09-30 Thread Jérémy Lal
On 16/08/2012 23:45, Luca Falavigna wrote: Hi! this is a quick update on what's going on with your package in NEW. We're holding it due to a library transition which would affect some reverse dependencies. As Wheezy is frozen, Release Team asked us to refrain from processing packages

Re: [Pkg-javascript-devel] nodejs v 0.8 ?

2012-09-30 Thread Jérémy Lal
On Thursday 27 September 2012 21:10:27 Jérémy Lal wrote: Before anything, latest is 0.8.11. My plan was to - update latest npm dependencies - package missing node-gyp dependencies - package node-gyp - update to latest npm - update libv8 - package nodejs 0.8 If you want to be an early

Re: [Pkg-javascript-devel] node 0.8 - let's build this :)

2012-10-24 Thread Jérémy Lal
debcheckout libv8 git checkout master-experimental git-buildpackage Jérémy. On 24/10/2012 16:52, Thomas Schaaf wrote: Okay I need another version of libv8. So lets git clone it and build it ourselves. ___ Pkg-javascript-devel mailing list

[Pkg-javascript-devel] Bug#689656: Bug#689656: nodejs: Patches for GNU/sunos

2012-10-25 Thread Jérémy Lal
On 04/10/2012 21:42, Igor Pashev wrote: Package: nodejs Version: 0.6.19~dfsg1-5 Severity: normal Dear Maintainer, I'm porting Debian on illumos kernel and using GNU toolchain (GCC, binutils, etc.) Node.js' build system sucks so much that cannot detect features of the compiler and

Re: [Pkg-javascript-devel] Packaging libuv

2012-10-31 Thread Jérémy Lal
On 31/10/2012 21:31, Sébastien Villemot wrote: [Please CC me, I’m not subscribed to the list] Dear node.js maintainers, My prospective package julia (ITP: #691912) has libuv among its dependencies. I am therefore considering the possibility of having a libuv package in Debian. If I

Re: [Pkg-javascript-devel] Packaging libuv

2012-11-16 Thread Jérémy Lal
On 07/11/2012 20:29, Sébastien Villemot wrote: Jérémy Lal kapo...@melix.org writes: On 31/10/2012 21:31, Sébastien Villemot wrote: [Please CC me, I’m not subscribed to the list] Dear node.js maintainers, My prospective package julia (ITP: #691912) has libuv among its dependencies. I am

[Pkg-javascript-devel] Bug#696016: libv8: New upstream version (3.15.11)

2012-12-15 Thread Jérémy Lal
latest + stable = 3.13.7.5 API is still changing too much on 3.14, 3.15 source : http://www.upstream-tracker.org/versions/v8.html i will be glad to prepare 3.13 for an upload to experimental. Jérémy. On 15/12/2012 19:07, Carl Fürstenberg wrote: Source: libv8 Version: 3.8.9.20-2 Severity:

[Pkg-javascript-devel] git-buildpackage workflow

2012-12-15 Thread Jérémy Lal
Hi, i want to switch to a simpler and more efficient way of using gbp branches for the packages i am maintaining : * always import on upstream branch * work on latest versions is made on master branch * create branches of master when needed, but use them only for bug fixing (typically:

Re: [Pkg-javascript-devel] git-buildpackage workflow

2012-12-15 Thread Jérémy Lal
On 15/12/2012 21:27, Jonas Smedegaard wrote: Quoting Jérémy Lal (2012-12-15 20:32:35) i want to switch to a simpler and more efficient way of using gbp branches for the packages i am maintaining : * always import on upstream branch * work on latest versions is made on master branch * create

Re: [Pkg-javascript-devel] git-buildpackage workflow

2012-12-16 Thread Jérémy Lal
On 16/12/2012 12:40, Jonas Smedegaard wrote: I like that our current structures work well for unstable, testing, stable and oldstable - i.e. that it is only tricky to handle experimental which we make no promises for anyway. I suspect the better approach than force-merging with --strategy

[Pkg-javascript-devel] Bug#694808: libv8: CVE-2012-5120 CVE-2012-5128

2012-12-16 Thread Jérémy Lal
On 16/12/2012 23:00, Allison Randal wrote: The details on these two CVE's are 403 for me: CVE-2012-5120 https://code.google.com/p/chromium/issues/detail?id=150729 CVE-2012-5128 https://code.google.com/p/chromium/issues/detail?id=157124 So presumably they're still embargoed and only

Re: [Pkg-javascript-devel] [RFR] highlight.js and impress.js

2012-12-19 Thread Jérémy Lal
On 11/12/2012 23:42, Cédric Boutillier wrote: Dear JavaScript team members, I would like to kindly ask you to review my first two JavaScript packages to see if they are conform to what is expected. Those are dependencies of a Ruby tool, mdpress, used to create presentations from Markdown

Re: [Pkg-javascript-devel] [RFR] highlight.js and impress.js

2012-12-19 Thread Jérémy Lal
On 11/12/2012 23:42, Cédric Boutillier wrote: Dear JavaScript team members, I would like to kindly ask you to review my first two JavaScript packages to see if they are conform to what is expected. Those are dependencies of a Ruby tool, mdpress, used to create presentations from Markdown

[Pkg-javascript-devel] Bug#694808: libv8: CVE-2012-5120 CVE-2012-5128

2013-01-03 Thread Jérémy Lal
On 02/01/2013 19:00, Moritz Muehlenhoff wrote: On Sun, Dec 16, 2012 at 11:08:34PM +0100, Jérémy Lal wrote: On 16/12/2012 23:00, Allison Randal wrote: The details on these two CVE's are 403 for me: CVE-2012-5120 https://code.google.com/p/chromium/issues/detail?id=150729 CVE-2012-5128 https

[Pkg-javascript-devel] Bug#692312: Bug#692312:

2013-01-14 Thread Jérémy Lal
On 14/01/2013 21:46, Jonas Smedegaard wrote: Quoting Rick Waldron (2013-01-14 21:09:42) It's strange to me this is even an issue that's being argued, I would assume that a Debian package maintainer would be responsible enough to keep up with the latest stable releases of whatever they have

[Pkg-javascript-devel] Bug#650345: Bug#650345: npm: please consider rewriting shebangs on the fly to refer to nodejs name

2013-01-25 Thread Jérémy Lal
On 25/01/2013 22:26, Jonathan Nieder wrote: found 650345 npm/1.1.4~dfsg-2 quit Hi, Dominique Dumont wrote: # bug has been fixed by Jeremy and Jonas Thanks for the heads up. It doesn't seem to be fixed, though: $ npm install express [...] $ head -1

Re: [Pkg-javascript-devel] Grunt package

2013-02-18 Thread Jérémy Lal
On 18/02/2013 23:50, Marcelo Jorge Vieira wrote: Hello Team, I don't know if you know, jQuery, jQuery UI and jQuery Mobile now use Grunt [0] as build system. Maybe there are others libs that use it too. [0] https://github.com/gruntjs/grunt I intend to package Grunt [1], but there are

Re: [Pkg-javascript-devel] packaging JsSIP - npm, grunt, etc

2013-02-23 Thread Jérémy Lal
On 24/02/2013 00:19, Daniel Pocock wrote: I've had a look at JsSIP: https://github.com/versatica/JsSIP In particular, it is built using a tool called grunt, and that requires nodejs and the npm tool It also pulls in some other dependencies:

[Pkg-javascript-devel] Bug#701583: node-jquery: get rid of embedded jquery, missing license for wrapper.

2013-02-24 Thread Jérémy Lal
Package: node-jquery Severity: important This package has major issues : * it includes another copy of jquery.js * it doesn't build the distributed file (which is wrapper.js + pristine jquery.js). * and finally it doesn't have any copyright/license for the included wrapper.js. Jérémy.

[Pkg-javascript-devel] Bug#702203: Bug#702203: node-glob: package description wrong: not (any longer) a binding but pure JavaScript

2013-03-03 Thread Jérémy Lal
On 03/03/2013 22:41, Jonas Smedegaard wrote: Package: node-glob Severity: minor Both short and long description talks about node-glob being a binding to glob and fnmatch, but 3.x is a pure JavaScript implementation. I propose to replace it with : glob functionality for Node.js

Re: [Pkg-javascript-devel] Ttrying to update npm package on collab-maint

2013-03-13 Thread Jérémy Lal
On 13/03/2013 15:56, Dominique Dumont wrote: Hello I'm trying to update npm package on collab-maint with latest version. I've cleaned up the patches without too many problems. But the build fails on this error: dh_bugfiles -pnpm dh_install -pnpm cp: cannot stat

Re: [Pkg-javascript-devel] Ttrying to update npm package on collab-maint

2013-03-13 Thread Jérémy Lal
On 13/03/2013 16:45, Dominique Dumont wrote: On Wednesday 13 March 2013 16:13:41 Jérémy Lal wrote: Dominique, while it is very nice of you to help, i'm not that happy with these commits : Ah. Sorry about that. I'll try to fix my mess... as you have noticed npm needs dfsg-repackaging

[Pkg-javascript-devel] Bug#703666: nodejs: test/simple/test-buffer.js segfaults

2013-03-21 Thread Jérémy Lal
Package: nodejs Version: 0.10.1~dfsg1-1 Severity: normal This bug is a placeholder for a segfaults that happens with nodejs 0.10.x and its libv8 (3.14.5.8) dependency. Upstream has a patch for libv8 to fix that bug, but i'm not sure it is a libv8 bug : --- a/src/v8utils.h +++ b/src/v8utils.h

[Pkg-javascript-devel] Bug#671550: nodejs: building on kfreebsd-* (WIP)

2013-03-26 Thread Jérémy Lal
On 05/05/2012 01:21, Steven Chamberlain wrote: Package: src:nodejs Version: 0.6.16~dfsg1-2 Severity: wishlist User: debian-...@lists.debian.org Usertags: kfreebsd X-Debbugs-Cc: debian-...@lists.debian.org Hi, Attached are *unfinished* patches for building nodejs on kfreebsd-*

  1   2   3   4   5   6   >